<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Bootstrap Meta Tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Grid System</title>

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center">
	<h2>Two-Column Layout</h2>
	<div class="container-fluid">
		<!-- Row with two columns divided in 1:1 ratio -->
		<h3>1:1 Ratio</h3>
		
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">Col 6</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Col 6</div>
		</div>

		<!-- Row with two columns divided in 1:2 ratio -->
		<h3>1:2 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 border border-dark col-4">4 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
		</div>

		<!-- Row with two columns divided in 1:3 ratio -->
		<h3>1:3 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
		</div>
	</div>

<!-- Three Columns Start -->
	<h2>Three Columns</h2>
	<div class="container-fluid">

	<!--Row with three equal columns-->
	<h3>1:1:1 Ratio</h3>

	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
	    <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
	    <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
	</div>
	            
	<!--Row with three columns divided in 1:2:1 ratio-->
	<h3>1:2:1 Ratio</h3>

	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
	    <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
	    <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
	</div>
	            
	<!--Row with three columns divided in an uneven ratio-->
	<h3>Uneven Ratio</h3>

	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
	    <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
	    <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
	 </div>
	 <!-- ctrl + shift + v for formatted pasting -->
	<!-- Automatic Sizing Start -->
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
		    <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		    <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
		    <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		    <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
		    <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		</div>
	</div>

	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		</div>
	</div>

	<!-- Multi-Column Layouts Start -->
	<h2>Multi-Column Layouts</h2>
    <div class="container-fluid">
	    <div class="text-light row">
		    <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
		</div>
    </div>

  	<!-- Offsetting Columns Start -->
	<h2>Offsetting Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
		</div>
	</div>

	<!-- Column Orders Start -->
	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
	</div>


	<!-- Bootstrap script -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>